Opened 4 years ago

Last modified 15 months ago

#23687 new defect

make sage work on arm64/aarch64

Reported by: dimpase Owned by:
Priority: major Milestone: sage-8.1
Component: porting Keywords:
Cc: fbissey Merged in:
Authors: Reviewers:
Report Upstream: N/A Work issues:
Branch: Commit:
Dependencies: #23700, #23701, #23712 Stopgaps:

Status badges

Description

This is known to work in debian, but needs at least newer gc version, maybe more.

Change History (5)

comment:1 Changed 4 years ago by chapoton

I made a small step in #23689

comment:2 Changed 4 years ago by dimpase

  • Dependencies set to #23700, #23701

The GC update is handled on #23700 and #23701.

comment:3 Changed 4 years ago by dimpase

One also needs to bump up tachyon to version 0.99, and giac, too: the current Sage's giac's building dies with g++ (5.4.0) internal compiler error...

comment:4 Changed 4 years ago by dimpase

  • Dependencies changed from #23700, #23701 to #23700, #23701, #23712

Tachyon update: #23712.

comment:5 Changed 15 months ago by kcrisman

See also #16918, though this comment perhaps indicates it is no longer an issue.

Note: See TracTickets for help on using tickets.